3

When I log into Ubuntu Server 12.04 LTS, I'm met with a message that looks something like this:

6 packages can be updated.
6 updates are security updates.

How can I get a detailed summary of the updates above?

I don't want to blindly install these updates with sudo apt-get dist-upgrade.

I'd like to know what I'm installing before I install it, or even pick and choose which updates I want to apply.

5

If you are using apt-get/aptitude you can use -V to show a detailed status of the packages to be upgraded, if you add more V's the report will be more verbose:

sudo apt-get -VV upgrade 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following package was automatically installed and is no longer required:
   linux-image-3.13-1-amd64 (3.13.10-1)
Use 'apt-get autoremove' to remove it.
The following packages have been kept back:
   chromium-inspector (33.0.1750.152-1 => 34.0.1847.116-1~deb7u1)
The following packages will be upgraded:
   aspell-es (1.11-7 => 1.11-8)
   dbus (1.8.0-3 => 1.8.2-1)
   dbus-x11 (1.8.0-3 => 1.8.2-1)
   debugedit (4.11.2-2.1 => 4.11.2-3)
   file (5.17-1 => 5.18-1)
   file-roller (3.12.0-1 => 3.12.1-2)
   fonts-opensymbol (102.3+LibO4.1.5-2 => 102.3+LibO4.1.6~rc2-1)
   ispanish (1.11-7 => 1.11-8)
   libdbus-1-3:amd64 (1.8.0-3 => 1.8.2-1)
   libdbus-1-3 (1.8.0-3 => 1.8.2-1)
   libdbus-1-dev (1.8.0-3 => 1.8.2-1)
   libidn11 (1.28-1 => 1.28-2)
   libidn11-dev (1.28-1 => 1.28-2)
   libmagic1 (5.17-1 => 5.18-1)
   libmailutils4 (2.99.98-1.1 => 2.99.98-1.2)
   libneon27-gnutls (0.30.0-1 => 0.30.0-2)
   libreoffice-base-core (4.1.5-2+b1 => 4.1.6~rc2-1+b1)
   libreoffice-calc (4.1.5-2+b1 => 4.1.6~rc2-1+b1)
   libreoffice-common (4.1.5-2 => 4.1.6~rc2-1)
   libreoffice-core (4.1.5-2+b1 => 4.1.6~rc2-1+b1)
   libreoffice-java-common (4.1.5-2 => 4.1.6~rc2-1)
   libreoffice-math (4.1.5-2+b1 => 4.1.6~rc2-1+b1)
   libreoffice-script-provider-python (4.1.5-2 => 4.1.6~rc2-1)
   libreoffice-style-galaxy (4.1.5-2 => 4.1.6~rc2-1)
   libreoffice-writer (4.1.5-2+b1 => 4.1.6~rc2-1+b1)
   librpm3 (4.11.2-2.1 => 4.11.2-3)
   librpmbuild3 (4.11.2-2.1 => 4.11.2-3)
   librpmio3 (4.11.2-2.1 => 4.11.2-3)
   librpmsign1 (4.11.2-2.1 => 4.11.2-3)
   mailutils (2.99.98-1.1 => 2.99.98-1.2)
   mailutils-common (2.99.98-1.1 => 2.99.98-1.2)
   myspell-es (1.11-7 => 1.11-8)
   php5-json (1.3.4-3 => 1.3.5-1)
   python-magic (5.17-1 => 5.18-1)
   python3-magic (5.17-1 => 5.18-1)
   python3-uno (4.1.5-2+b1 => 4.1.6~rc2-1+b1)
   rpm (4.11.2-2.1 => 4.11.2-3)
   rpm-common (4.11.2-2.1 => 4.11.2-3)
   rpm2cpio (4.11.2-2.1 => 4.11.2-3)
   rubygems-integration (1.6 => 1.7)
   sysstat (10.2.1-1 => 10.3.1-1)
   systemd-ui (3-1 => 3-2)
   uno-libs3 (4.1.5-2+b1 => 4.1.6~rc2-1+b1)
   ure (4.1.5-2+b1 => 4.1.6~rc2-1+b1)
44 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
Need to get 12.8 MB/91.4 MB of archives.
After this operation, 186 kB of additional disk space will be used.
Do you want to continue? [Y/n] n

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.